* this assumes you  have a data set with one y.
COMPUTE ID=$CASENUM .
SAVE OUTFILE 'c:\BOOTDATA.SAV'.
execute.


INPUT PROGRAM .
compute #n = 16.
LOOP SAMP=1 to 1000.
LOOP V = 1 to #n.
COMPUTE ID=TRUNC(UNIFORM(#n)) + 1.
END CASE.
LEAVE SAMP.
END LOOP.
END LOOP.
END FILE.
END INPUT PROGRAM .
SORT CASES BY ID .
MATCH FILES / FILE * / TABLE 'c:\BOOTDATA.SAV' / BY ID .
SORT CASES BY SAMP.
SPLIT FILE BY SAMP.

AGGREGATE
  /OUTFILE=*
  /BREAK=samp
  /Mean = MEAN(x) /Median = MEDIAN(x) /STD = SD(x).


COMPUTE variance = std**2.
EXECUTE .



EXAMINE
  VARIABLES=mean median std variance
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUP
/PERCENTILES(5,10,90,95) HAVERAGE
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
