* .
*rename Temperature x.
*rename Dep to y1.
* NonLinear Regression.
MODEL PROGRAM A=10 B=2 c =-60 d = 1 p = -5.

compute x0 = (a-p)/b.
compute x1 =(p-c)/d.
do if (ot <x0).
compute pred_ = a - b*x.
else if (ot >x1).
compute pred_=c+d*x.
else.
compute pred_ = p.
end if.

NLR kWhday
  /OUTFILE='c:\SPSSFNLR.TMP'
  /PRED PRED_
/save PRED
  /CRITERIA SSCONVERGENCE 1E-8 PCON 1E-8 .

GRAPH
/SCATTERPLOT(OVERLAY)= ot ot  WITH kWhday pred_ (PAIR)
  /MISSING=LISTWISE .


