

Define simulate().
GET
  FILE='C:\c1.sav'.
SAVE OUTFILE='C:\bigc.sav'
 /COMPRESSED.


!Do !bigl = 1 !to 1000.

GET
  FILE='U:\ftp\stat651\data\boot1.sav'.

* this assumes you  have a data set with one x - must be called x.
COMPUTE ID=$CASENUM .
compute x = rv.chi(1).
SAVE OUTFILE 'c:\BOOTDATA.SAV'.
execute.


INPUT PROGRAM .
compute #n = 16.
LOOP SAMP=1 to 1000.
LOOP V = 1 to #n.
COMPUTE ID=TRUNC(UNIFORM(#n)) + 1.
END CASE.
LEAVE SAMP.
END LOOP.
END LOOP.
END FILE.
END INPUT PROGRAM .
SORT CASES BY ID .
MATCH FILES / FILE * / TABLE 'c:\BOOTDATA.SAV' / BY ID .
SORT CASES BY SAMP.


AGGREGATE
  /OUTFILE=*
  /BREAK=samp
  /Mean = MEAN(x) /Median = MEDIAN(x) /STD = SD(x).

matrix.

get X /variables = mean std /file = *.

compute nr = nrow(X).
compute nc = 2.

compute j = make(nr,1,1).

compute mean = t(j)*x/nr.

*print mean.

compute cor_xtx = t(x-j*mean)*(x-j*mean)/(nr-1).

* print cor_xtx.



compute d1 = mdiag((diag(cor_xtx))&**-.5).

compute C = d1*cor_xtx*d1.

* print C.

compute c1 = c(1,2).

*print c1.

get cor /variables = all/file = 'c:\bigc.sav'.

compute bc = {cor,c1}.
save bc /outfile = 'c:\bigc.sav'.
* print bc.

end matrix.

!doend.

!enddefine.

simulate.

GET
  FILE='C:\bigc.sav'.
FLIP
  VARIABLES= all.

AUTORECODE
  VARIABLES=CASE_LBL  /INTO id
  /PRINT.
FILTER OFF.
USE ALL.
SELECT IF(id > 1).
EXECUTE .
EXAMINE
  VARIABLES=var001
  /PLOT BOXPLOT HISTOGRAM NPPLOT
  /COMPARE GROUP
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
