* revised 10_23_01.
 * remember to run your regression and save UNSTANDARDIZED residuals.


* The following is used to compute rho hat.

COMPUTE e1 = res_1*lag(res_1) .
COMPUTE e2 = lag(res_1)**2 .
EXECUTE .
DESCRIPTIVES
  VARIABLES=e1 e2
  /STATISTICS=MEAN SUM  .
execute.

*rhohat = e1/e2.

*Now  run the following with cs , is and .6311166 changed for your problem.

compute y1 = cs - .6311166*lag(cs).
compute x1 = is - .6311166*lag(is).
execute.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA CI
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT y1
  /METHOD=ENTER x1
  /RESIDUALS DURBIN
  /SAVE RESID .

GRAPH
  /SCATTERPLOT(BIVAR)=is WITH res_2
  /MISSING=LISTWISE .
